Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface PersonType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier, RegistryObjectType

All Known Subinterfaces:
  UserType

All Known Implementing Classes:
  PersonTypeImpl, UserTypeImpl

    public interface PersonType

extends RegistryObjectType

A representation of the model object 'Person Type'. Mapping of the same named interface in ebRIM.

The following features are supported:

- `Address`
- `Person Name`
- `Telephone Number`
- `Email Address`

See Also:
  `RimPackage.getPersonType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAddress()` Returns the value of the 'Address' containment reference list.
`org.eclipse.emf.common.util.EList` | `getEmailAddress()` Returns the value of the 'Email Address' containment reference list.
`PersonNameType` | `getPersonName()` Returns the value of the 'Person Name' containment reference.
`org.eclipse.emf.common.util.EList` | `getTelephoneNumber()` Returns the value of the 'Telephone Number' containment reference list.
`void` | `setPersonName(PersonNameType value)` Sets the value of the '`Person Name`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.RegistryObjectType
`getClassification, getDescription, getExternalIdentifier, getLid, getName, getObjectType, getStatus, getVersionInfo, setDescription, setLid, setName, setObjectType, setStatus, setVersionInfo`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAddress

    org.eclipse.emf.common.util.EList getAddress()

  Returns the value of the 'Address' containment reference list. The list contents are of type `PostalAddressType`.

  If the meaning of the 'Address' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Address' containment reference list.
  See Also:
    `RimPackage.getPersonType_Address()`

### getPersonName

    PersonNameType getPersonName()

  Returns the value of the 'Person Name' containment reference.

  If the meaning of the 'Person Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Person Name' containment reference.
  See Also:
    `setPersonName(PersonNameType)`, `RimPackage.getPersonType_PersonName()`

### setPersonName

    void setPersonName(PersonNameType value)

  Sets the value of the '`Person Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Person Name' containment reference.
  See Also:
    `getPersonName()`

### getTelephoneNumber

    org.eclipse.emf.common.util.EList getTelephoneNumber()

  Returns the value of the 'Telephone Number' containment reference list. The list contents are of type `TelephoneNumberType`.

  If the meaning of the 'Telephone Number' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Telephone Number' containment reference list.
  See Also:
    `RimPackage.getPersonType_TelephoneNumber()`

### getEmailAddress

    org.eclipse.emf.common.util.EList getEmailAddress()

  Returns the value of the 'Email Address' containment reference list. The list contents are of type `EmailAddressType`.

  If the meaning of the 'Email Address' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Email Address' containment reference list.
  See Also:
    `RimPackage.getPersonType_EmailAddress()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD